<?php
require_once("../../functions.php");
$pag = basename($_SERVER['PHP_SELF']);
gen_plantilla(true, $pag, false, false, '', false, false);
//Comprobar is está sistema de incidencias activo
if(!SISTEMA_INCIDENCIAS){
    crear_notificacion("error", "No tienes acceso a esta página");
    exit;
}

if (!isset($_POST['fecha_inicio']) || !isset($_POST['fecha_fin'])) {
    crear_notificacion("error", "No hay parámetros");
}
$fecha_inicio = filter_input(INPUT_POST, 'fecha_inicio', FILTER_SANITIZE_SPECIAL_CHARS);
$fecha_fin = filter_input(INPUT_POST, 'fecha_fin', FILTER_SANITIZE_SPECIAL_CHARS);
$grupos = consulta("SELECT id,nombre FROM `grupos`", [], true);
$motivos = consulta("SELECT * FROM `motivos` ORDER BY nombre", [], true);
?>
<dialog id="dialog" class="cristal" open>
    <section id="d-header">
        <h2>Arreglar incidencias por grupos</h2>
    </section>
    <section class="flex row gap1">
        <label class="flex column gap05">Fecha inicio
            <input type="date" id="arreglar_fecha1" onchange="mostrar_incidencias_afectadas()" max="<?= date('Y-m-d') ?>" value="<?= $fecha_inicio ?>"></label>
        <label class="flex column gap05">Fecha fin
            <input type="date" id="arreglar_fecha2" onchange="mostrar_incidencias_afectadas()" max="<?= date('Y-m-d') ?>" value="<?= $fecha_fin ?>"></label>
    </section>
    <section class="flex row gap1">
        <label class="flex column gap05">Grupo
            <select name="grupo" id="grupo" onchange="mostrar_incidencias_afectadas()">
                <?php
                for ($i = 0; $i < count($grupos); $i++)
                    echo "<option value='" . $grupos[$i]['id'] . "'>" . $grupos[$i]['nombre'] . "</option>";
                ?>
            </select></label>
        <label class="flex column gap05">Motivo
            <select id='selectmotivo' onchange="mostrar_incidencias_afectadas()">
                <option selected value="0" disabled>-SELECCIONA-</option>
                <?php
                for ($o = 0; $o < count($motivos); $o++) {
                    echo "<option value='" . $motivos[$o]['id'] . "'>";
                    echo $motivos[$o]['nombre'] . " [" . $motivos[$o]['resolucion'] . "]</option>";
                }
                ?>
            </select></label>
    </section>

    <h2 style="margin:0;">Incidencias afectadas</h2>
    <article id="IncidenciasAfectadas"></article>
    <section class="flex row gap05">
        <button id="cancelar" class="btn-t">Cancelar</button>
        <button class="btn-p" id="ajustar_incidencia">Ajustar incidencia</button>
    </section>
</dialog>